>From d723ca518b39413816bd004ebc36dcc15a746cb5 Mon Sep 17 00:00:00 2001
From: Ulrich Klauer <ulrich@chirlu.de>
Date: Sat, 25 May 2013 15:12:33 +0200
Subject: [PATCH] Fix gcc version check for private macros

Use Benjamin Stiglitz' MIN macros from gcc 4.3 (according to the
changelog, __COUNTER__ was introduced in this version). Previously,
the macros weren't used on any existing gcc version; the first one
would have been 5.5.
---
 src/libFLAC/include/private/macros.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/libFLAC/include/private/macros.h b/src/libFLAC/include/private/macros.h
index 162bcaf..8282ca2 100644
--- a/src/libFLAC/include/private/macros.h
+++ b/src/libFLAC/include/private/macros.h
@@ -32,7 +32,7 @@
 #ifndef FLAC__PRIVATE__MACROS_H
 #define FLAC__PRIVATE__MACROS_H
 
-#if defined(__GNUC__) && (__GNUC__ > 4) && (__GNUC_MINOR__ > 4)
+#if defined(__GNUC__) && (__GNUC__ > 4 || ( __GNUC__ == 4 && __GNUC_MINOR__ >= 3))
 
 #define flac_max(a,b) \
     ({ __typeof__ (a) _a = (a); \
-- 
1.7.10.4

